package cn.pluss.platform.channel;

import com.alibaba.fastjson.JSONObject;

public interface MerchantAliCertService {

    /**
     * 支付宝商户认证提交
     */
    default void aliCert(String merchantId) {
        // 走手动认证，该方法为预留方法
    }

    /**
     * 支付宝商户认证撤销
     */
    default void aliCertCancel(String merchantId) {
        // 走手动认证，该方法为预留方法
    }

    /**
     * 支付宝商户认证申请单结果
     */
    default void aliCertResult(String merchantId) {
        // 走手动认证，该方法为预留方法
    }

    /**
     * 支付宝商户认证结果处理
     */
    default void aliCertResultHandle(JSONObject wxCertResult) {
        // 走手动认证，该方法为预留方法
    }

    /**
     * 支付宝商户认证状态
     */
    void aliCertStatus(String merchantId);
}
